Exploit/Advisories no image

Published on June 5th, 2024 📆 | 5741 Views ⚑

0

Red Hat Security Advisory 2024-3550-03 – Torchsec


https://www.ispeech.org

The following advisory data is extracted from:

https://access.redhat.com/security/data/csaf/v2/advisories/2024/rhsa-2024_3550.json

Red Hat officially shut down their mailing list notifications October 10, 2023. Due to this, Packet Storm has recreated the below data as a reference point to raise awareness. It must be noted that due to an inability to easily track revision updates without crawling Red Hat's archive, these advisories are single notifications and we strongly suggest that you visit the Red Hat provided links to ensure you have the latest information available if the subject matter listed pertains to your environment.

- Packet Storm Staff

====================================================================
Red Hat Security Advisory

Synopsis: Important: HawtIO 4.0.0 for Red Hat build of Apache Camel 4 Release and security update.
Advisory ID: RHSA-2024:3550-03
Product: Red Hat Build of Apache Camel
Advisory URL: https://access.redhat.com/errata/RHSA-2024:3550
Issue date: 2024-06-03
Revision: 03
CVE Names: CVE-2023-42282
====================================================================

Summary:

HawtIO 4.0.0 for Red Hat build of Apache Camel 4 GA Release is now available.

The purpose of this text-only errata is to inform you about the enhancements that improve your developer experience and ensure the security and stability of your products.

Red Hat Product Security has rated this update as having a security impact of
Important. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

Description:

HawtIO 4.0.0 for Red Hat build of Apache Camel 4 GA Release is now available.

The purpose of this text-only errata is to inform you about the enhancements that improve your developer experience and ensure the security and stability of your products.





* spring-security: Broken Access Control in Spring Security With Direct Use of isFullyAuthenticated (TRIAGE CVE-2024-22234)

* nodejs-ip: arbitrary code execution via the isPublic() function (TRIAGE CVE-2023-42282)

* jose4j: denial of service via specially crafted JWE (TRIAGE CVE-2023-51775)

* netty-codec-http: Allocation of Resources Without Limits or Throttling (TRIAGE CVE-2024-29025)

* follow-redirects: Possible credential leak (TRIAGE CVE-2024-28849)

Solution:

https://access.redhat.com/articles/11258

CVEs:

CVE-2023-42282

References:

https://access.redhat.com/security/updates/classification/#important
https://bugzilla.redhat.com/show_bug.cgi?id=2265161
https://bugzilla.redhat.com/show_bug.cgi?id=2265172
https://bugzilla.redhat.com/show_bug.cgi?id=2266921
https://bugzilla.redhat.com/show_bug.cgi?id=2269576
https://bugzilla.redhat.com/show_bug.cgi?id=2272907

Source link

Tagged with:



Leave a Reply

Your email address will not be published.